Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jsf
Class FacesResult

    java.lang.Object
      org.apache.struts2.dispatcher.StrutsResultSupport
          org.apache.struts2.jsf.FacesResult

All Implemented Interfaces:
  com.opensymphony.xwork2.Result, Serializable, StrutsStatics

    public class FacesResult

extends StrutsResultSupport
implements com.opensymphony.xwork2.Result

Executes the JSF render phase

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`DEFAULT_PARAM, DEFAULT_URL_ENCODING, parseLocation`

Fields inherited from interface org.apache.struts2.StrutsStatics
`HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_ACTION_TAG_INVOCATION, STRUTS_PORTLET_CONTEXT`

Constructor Summary
`FacesResult()`
`FacesResult(String location)`

Method Summary
`protected void` | `doExecute(String finalLocation, com.opensymphony.xwork2.ActionInvocation invocation)` Checks to see if we need to build a new JSF ViewId from the Struts Result config and then renders the result by delegating to the FacesRender.render().

Methods inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`conditionalParse, conditionalParseCollection, execute, getLastFinalLocation, getLocation, setEncode, setLocation, setParse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.Result
`execute`

Constructor Detail

### FacesResult

    public FacesResult()

### FacesResult

    public FacesResult(String location)

Method Detail

### doExecute

    protected void doExecute(String finalLocation,
                             com.opensymphony.xwork2.ActionInvocation invocation)
                      throws Exception

  Checks to see if we need to build a new JSF ViewId from the Struts Result config and then renders the result by delegating to the FacesRender.render().

  Specified by:
    `doExecute` in class `StrutsResultSupport`
  Throws:
    `Exception`
  See Also:
    `StrutsResultSupport.doExecute(String, ActionInvocation)`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.